using System.ComponentModel.DataAnnotations;

namespace JtkMainServer.Models {
    public partial class Join {
        //[StringLength(60, MinimumLength = 3, ErrorMessage = "아이디를 입력하세요.")]
        [Display(Name = "동의함")]
        [Compare("True", ErrorMessage="약관에 동의해야합니다.")]
        public bool Agree { get; set; }

        public bool True { get; set; } = true;

        [Display(Name = "아이디")]
        [Required(ErrorMessage = "아이디를 입력하세요.")]
        public string Id { get; set; }

        
        [Display(Name = "비밀번호")]
        [Required(ErrorMessage = "비밀번호를 입력하세요.")]
        [MinLength(4, ErrorMessage = "네 자리 이상 입력하세요.")]
        public string Password { get; set; }

        [Display(Name = "비밀번호 확인")]
        [Required(ErrorMessage = "비밀번호를 한번더 입력하세요.")]
        [Compare("Password", ErrorMessage = "비밀번호가 일치하지 않습니다.")]
        public string PasswordConfirm { get; set; }
    }
}
